%define		gst_ver	1.24.0
%define		pname	gst-python
Summary:	GStreamer Python 3 bindings
Summary(pl.UTF-8):	Wiązania języka Python 3 do GStreamera
Name:		python3-gstreamer
Version:	1.24.12
Release:	1
License:	LGPL v2+
Group:		Libraries/Python
Source0:	https://gstreamer.freedesktop.org/src/gst-python/%{pname}-%{version}.tar.xz
# Source0-md5:	3080fb395f9c1c255b19ffcd01373a86
Patch0:		%{name}-nosegv.patch
URL:		https://gstreamer.freedesktop.org/modules/gst-python.html
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	meson >= 1.1
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-pygobject3-devel >= 3.8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gstreamer >= %{gst_ver}
Requires:	python3-pygobject3 >= 3.8
Obsoletes:	python-gstreamer-devel < 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer Python 3 bindings.

%description -l pl.UTF-8
Wiązania języka Python 3 do GStreamera.

%package -n gstreamer-python3
Summary:	GStreamer plugin to load plugins written in Python 3
Summary(pl.UTF-8):	Wtyczka GStreamera do wczytywania wtyczek napisanych w Pythonie 3
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
# gstreamer 1.18+ doesn't support python2 anymore
Obsoletes:	gstreamer-python < 1.18

%description -n gstreamer-python3
GStreamer plugin to load plugins written in Python 3.

%description -n gstreamer-python3 -l pl.UTF-8
Wtyczka GStreamera do wczytywania wtyczek napisanych w Pythonie 3.

%prep
%setup -q -n %{pname}-%{version}
%patch -P0 -p1

%build
%meson \
	--default-library=shared \
	-Dpygi-overrides-dir=%{py3_sitedir}/gi/overrides

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

install -d $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/python

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md RELEASE
%attr(755,root,root) %{py3_sitedir}/gi/overrides/_gi_gst.cpython-*.so
%{py3_sitedir}/gi/overrides/Gst.py
%{py3_sitedir}/gi/overrides/GstAudio.py
%{py3_sitedir}/gi/overrides/GstPbutils.py
%{py3_sitedir}/gi/overrides/GstVideo.py
%{py3_sitedir}/gi/overrides/__pycache__/Gst.*.py[co]
%{py3_sitedir}/gi/overrides/__pycache__/GstAudio.*.py[co]
%{py3_sitedir}/gi/overrides/__pycache__/GstPbutils.*.py[co]
%{py3_sitedir}/gi/overrides/__pycache__/GstVideo.*.py[co]

%files -n gstreamer-python3
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstpython.so
%dir %{_libdir}/gstreamer-1.0/python
%changelog
* Fri Feb 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-gstreamer.git;a=log;h=master

* Fri Feb 28 2025 Jakub Bogusz <qboosh@pld-linux.org> c186443
- updated to 1.24.12

* Fri Feb 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 9c17ce8
- use patch -P

* Wed Sep 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 1f482e8
- updated to 1.24.8

* Sat Sep 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 24ce23f
- updated to 1.24.7

* Thu May 30 2024 Jakub Bogusz <qboosh@pld-linux.org> d0a7b42
- updated to 1.24.4

* Tue Apr 16 2024 Jakub Bogusz <qboosh@pld-linux.org> d6745e3
- updated to 1.24.2

* Mon Mar 25 2024 Jakub Bogusz <qboosh@pld-linux.org> b3d6f0d
- updated to 1.24.1

* Thu Mar 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 16c74e6
- updated to 1.24.0

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 2f5c205
- updated to 1.22.6

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 2fcdc68
- updated to 1.22.5

* Sat Apr 15 2023 Jakub Bogusz <qboosh@pld-linux.org> d5eb50c
- updated to 1.22.2

* Mon Jan 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 889df6a
- updated to 1.20.5

* Sat Jun 25 2022 Jakub Bogusz <qboosh@pld-linux.org> fe0513c
- updated to 1.20.3

* Tue May 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 5059634
- updated to 1.20.2

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 0860a27
- force arch-specific overrides dir to fix build with PLD python 3.10

* Sat Apr 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 17437ed
- updated to 1.20.1

* Sun Oct 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 8a05781
- python-gstreamer.spec updated to 1.18.5, now python3 only

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 3b02dfb
- updated to 1.16.3
- removed obsolete python-3.8 patch

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> fe66923
- release 2 (by relup.sh)

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 73b169f
- updated to 1.16.2

